Bug 1108872 - Logconv.pl with an empty access log gives lots of errors
Summary: Logconv.pl with an empty access log gives lots of errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1060385
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-12 17:59 UTC by Noriko Hosoi
Modified: 2015-03-05 09:35 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Trying to process an empty log file Consequence: The script fails to run, and reports a series of Perl errors. Fix: Check and ignore empty log files Result: The script can correctly identify and handle an empty log file.
Clone Of: 1060385
Environment:
Last Closed: 2015-03-05 09:35:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Comment 2 Sankar Ramalingam 2015-01-07 13:45:07 UTC
Running logconv with empty access log files doesn't throw any error. Hence, marking the bug as Verified.

[root@mgmt9 ~]# logconv.pl -efcibaltnxrgjuyp -s 10 -V /tmp/access 
Access Log Analyzer 8.1
Command: logconv.pl /tmp/access
Processing 1 Access Log(s)...

[001] /tmp/access                   	size (bytes):            0
Skipping empty access log (/tmp/access)...
There was no logging to process, exiting...
Cleaning up temp files...
Done.

Comment 4 errata-xmlrpc 2015-03-05 09:35:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.